/* First screen ================ */

@import "../../core/variables";

$first-screen-height: 975px;
$first-screen-content-max-width: 640px;

.first-screen {
  height: $first-screen-height;
  padding-top: 238px;
  background: url("../images/first_screen.jpg") no-repeat;
  background-position: center;
  background-size: 1920px;

  @include mq("desktop-fullhd", "max") {
    height: 785px;
    padding-top: 110px;
    background-size: cover;
  }

  @include mq("desktop", "max") {
    height: 695px;
    padding-top: 60px;
  }

  @include mq("laptop", "max") {
    height: 585px;
    padding-top: 40px;
  }

  @include mq("laptop-small", "max") {
    height: 515px;
  }

  @include mq("tablet", "max") {
    height: auto;
    padding-bottom: 20px;
    background: $color-white;
  }
}

.first-screen__content {
  width: 100%;
  max-width: $first-screen-content-max-width;
  text-align: left;

  @include mq("laptop-small", "max") {
    max-width: 480px;
  }

  @include mq("tablet", "max") {
    margin: 0 auto;
    text-align: center;
  }
}

.first-screen__text {
  padding-right: 130px;

  @include mq("laptop-small", "max") {
    padding-right: 50px;
  }

  @include mq("tablet", "max") {
    padding-right: 0;
  }
}

.first-screen__button {
  margin-top: 50px;

  @include mq("tablet") {
    min-width: 350px;
  }

  @include mq("laptop", "max") {
    margin-top: 25px;
  }

  @include mq("laptop-small", "max") {
    margin-top: 15px;
  }
}

.first-screen__social-list {
  max-width: 200px;
  margin-top: 50px;

  @include mq("laptop", "max") {
    margin-top: 25px;
  }

  @include mq("tablet", "max") {
    justify-content: center;
    margin-right: auto;
    margin-left: auto;
  }
}
/* ================ end first screen */
